import React from 'react';
import { AvailSlotsProps, Booking, AvailabilityEvent, CalendarTheme } from './types';
import { Overrides } from './overrides';
export declare const AvailSlots: React.SFC<AvailSlotsProps & {
    overrides?: Overrides;
}>;
export declare const AddBookingFromAvailabilitySlots: ({ avails, slotLengthMs, slotStepMs, onAvailabilitySelected, theme, utils, overrides, }: {
    avails: Booking[];
    theme: CalendarTheme;
    durationMinutes: number;
    slotLengthMs?: number | undefined;
    slotStepMs?: number | undefined;
    onAvailabilitySelected: (e: AvailabilityEvent) => any;
    utils: {
        msInHour: number;
        datesEqual: (d1: Date, d2: Date) => boolean;
        formatAsMonth: (date: Date) => string;
        formatAsDateWithTime: (date: Date) => string;
        formatAsDateJustTime: (date: Date) => string;
        formatAsDate: (date: Date) => string;
        shouldHideWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: AvailabilityEvent[]) => boolean | null;
        shouldShowWeek: (selectedDate: Date | null, week: Date[], viewingDayAvailabilities: AvailabilityEvent[]) => boolean;
        availByIndex: (days: Date[], avails: AvailabilityEvent[]) => {
            hasAvail: boolean;
        }[];
        addBlockOutBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], provideTimeZone: string, bookings: Booking[], periodStart: Date, periodEnd: Date) => Booking[];
        availabilitiesFromBookings: (blockOutPeriods: import("./types").MsSinceMidnightRange[], providerTimeZone: string, bookings: Booking[], now: Date, periodStartArg: Date, periodEnd: Date) => AvailabilityEvent[];
        toStartAndEnd: (range: import("./types").Range) => {
            startDate: Date;
            endDate: Date;
        };
        monthRangeForDate: (d: Date) => {
            start: Date;
            end: Date;
        };
        monthDaysForDate: (date: Date) => {
            weeks: Date[][];
            days: Date[];
        };
        chunkify: (intervals: AvailabilityEvent[], chunkLenMs: number, stepLenMs: number) => AvailabilityEvent[];
    };
} & {
    overrides?: {
        ToolBar: import("./overrides").OverridableComponentProps<import("./types").ToolBarProps, {}, {}>;
        ToolBarButton: import("./overrides").OverridableComponentProps<import("./types").ToolBarButtonProps, {}, {}>;
        Weekdays: import("./overrides").OverridableComponentProps<{}, {}, {}>;
        DayCells: import("./overrides").OverridableComponentProps<import("./types").DayCellsProps, {}, {}>;
        DayCell: import("./overrides").OverridableComponentProps<import("./types").DayCellProps, {}, {
            isSelected: boolean;
            isToday: boolean;
            hasAvail: boolean;
        }>;
        Availabilities: import("./overrides").OverridableComponentProps<AvailSlotsProps, {}, {}>;
        AvailSlot: import("./overrides").OverridableComponentProps<import("./types").AvailSlotProps, {}, {}>;
    } | undefined;
}) => JSX.Element;
